--- 2.0/block_ip.sh	2014-12-26 01:02:52.000000000 -0700
+++ 2.1/block_ip.sh	2014-12-26 18:39:58.000000000 -0700
@@ -1,9 +1,12 @@
 #!/bin/sh
+#VERSION=2.1
 
 BF=/root/blocked_ips.txt
 EF=/root/exempt_ips.txt
 OS=`uname`;
 
+BLOCK_CHAIN=blocked_ips
+
 curriptables()
 {
 	echo "<br><br><textarea cols=160 rows=60>";
@@ -54,10 +57,11 @@
 if [ "$OS" = "FreeBSD" ]; then
 	/sbin/ipfw -q table 10 add $ip
 else
-	echo "Restarting iptables ...<br>";
-	/etc/init.d/iptables restart
-	#echo "Blocking ip ...<br>";
-	#/sbin/iptables -A INPUT -s $ip -j DROP
+	#echo "Restarting iptables ...<br>";
+	#/etc/init.d/iptables restart
+
+	echo "Adding $ip into ${BLOCK_CHAIN} chain...";
+	/sbin/iptables -A ${BLOCK_CHAIN} -s $ip -j DROP
 fi
 
 echo "<br><br>Result:";
